Skip to main content
GET
/
clients
/
me
/
chains
/
{chain}
/
transactions
Get wallet transactions
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/chains/{chain}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "transactions": [
      {
        "blockTime": 1700000000,
        "error": null,
        "signature": "5xGh7...",
        "status": "confirmed",
        "transactionDetails": {
          "transaction": {},
          "signatureDetails": {},
          "metadata": {}
        }
      }
    ]
  },
  "metadata": {
    "address": "BrGo1hFAL8MpudNQ6K4YWDaFB838uboUcCpm8C9uyC4R",
    "chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
    "clientId": "clientId",
    "limit": 15,
    "offset": 0,
    "count": 1
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

chain
string
required

The blockchain chain identifier. Use either a friendly name or CAIP-2 format. When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.

Supported chains:

  • ethereum (eip155:1)
  • sepolia (eip155:11155111)
  • base (eip155:8453)
  • base-sepolia (eip155:84532)
  • polygon (eip155:137)
  • polygon-mumbai (eip155:80001)
  • celo (eip155:42220)
  • celo-alfajores (eip155:44787)
  • monad-testnet (eip155:10143)
  • solana (solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)
  • solana-devnet (solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)
  • tron (tron:mainnet)
  • tron-nile (tron:nile)
  • tron-shasta (tron:shasta)
  • stellar (stellar:pubnet)
  • stellar-testnet (stellar:testnet)
  • bitcoin-segwit (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-segwit-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
  • bitcoin-p2wpkh (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-p2wpkh-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)

Query Parameters

limit
integer

Maximum number of transactions to return (max 15).

Required range: x <= 15
offset
integer
default:0

Number of transactions to skip (default 0).

order
enum<string>

Sort order for transactions.

Available options:
asc,
desc

Response

Transactions retrieved successfully

data
object
metadata
object